### Hierarchy

- SettingOption
  - CheckboxOption
  - RadioOption

## Index

### Properties

- content
- template

### Methods

- toJSON

## Properties

### Optional content

content: Content

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:6

### Optional template

template: TemplateRef<any>

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:7

## Methods

### Optional toJSON

- toJSON(): any

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:8

  #### Returns any

Generated using TypeDoc